# Set a conversation's tags

`PUT /contact-centre/conversations/{id}/tags` · Rivier · inbox

Set a conversation's tags.

- Scope: inbox:write
- Graphql: Mutation.inboxContactCentreConversationTag
- Sdk: desk.conversations.tag
- Cli: desk tag

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "tags": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 40
      },
      "maxItems": 20
    }
  },
  "required": [
    "tags"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/contact-centre/conversations/{id}/tags' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "tags": [
    "string"
  ]
}'
```
